> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/send-rassupportrequest.md).

# Send-RASSupportRequest

### NAME

Send-RASSupportRequest\ <br>

### SYNOPSIS

Sends RAS support request to Parallels Support.\ <br>

### SYNTAX

Send-RASSupportRequest -[Type](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#Type) {Email | SaveToZip | SendReport} \[-[AttachmentPath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#AttachmentPath) *\<string>*] \[-[Company](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#Company) *\<string>*] \[-[Fullname](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#Fullname) *\<string>*] \[-[Message](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#Message) *\<string>*] \[-[SaveZipToPath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#SaveZipToPath) *\<string>*] \[-[Subject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#Subject) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Send-RASSupportRequest.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Either saves the zip file with all support information or\
\
sends the information as an attachment to Parallels Support to investigate the problem at hand.\
\
Please note that the current information, Parallels Remote Application Server settings and current Log files are sent as an attachment.\ <br>

### PARAMETERS

\
-**Type <**[**SupportType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SupportType.html)**>**\
Support type.\
\
Possible values: Email, SaveToZip, SendReport\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                Email
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Fullname \<string>**\
Full name of Administrator requesting support.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                N/A
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Company \<string>**\
Company of Administrator requesting support.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                N/A
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Subject \<string>**\
Subject of request.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                N/A
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Message \<string>**\
The message query for support.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                N/A
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AttachmentPath \<string>**\
The path of the attachment to be sent to Parallels support.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SaveZipToPath \<string>**\
The path where the .zip file (with support data) should be saved.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[EmailSupportRequest](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/EmailSupportRequest.html)[SaveZipSupportRequest](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SaveZipSupportRequest.html)[SendSupportReport](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SendSupportReport.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Send-RASSupportRequest -Fullname "John Doe" -Company "Parallels" -Subject "Publishing issue" -Message "My message here" -Type Email\
\
Sends request to RAS support server for further investigation of issue by support.\
\
Returns: The report ID that was generated when generating the issue report.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Send-RASSupportRequest -Fullname "John Doe" -Company "Parallels" -Subject "Publishing issue" -Message "My message here" -Type SaveToZip\
\
Saves Support Request attachment zip to a auto generated path (unless specified)\
\
Returns: the path where the attachment zip is saved.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/send-rassupportrequest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
